Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation
Imports DevExpress.ExpressApp.ConditionalAppearance

'
<DefaultClassOptions()> _
<NavigationItem(False)> _
<CreatableItem(False)> _
<NonPersistent()> _
<Appearance("OpenRTFDocument_PopUp - Hide BusinessDirectory all time", AppearanceItemType.ViewItem, "1=1", TargetItems:="BusinessDirectory", visibility:=Editors.ViewItemVisibility.Hide)> _
<Appearance("OpenRTFDocument_PopUp - Hide CRM_Opportunities all time", AppearanceItemType.ViewItem, "1=1", TargetItems:="CRM_Opportunities", visibility:=Editors.ViewItemVisibility.Hide)> _
<Appearance("OpenRTFDocument_PopUp - Hide aOpenRTFDocument_SaveBusinessDiretory", AppearanceItemType.Action, "IsNull(CRM_Opportunities)=False", TargetItems:="aOpenRTFDocument_SaveBusinessDiretory", visibility:=Editors.ViewItemVisibility.Hide)> _
<Appearance("OpenRTFDocument_PopUp - Hide aOpenRTFDocument_SaveToCRM_Lead", AppearanceItemType.Action, "IsNull(CRM_Opportunities)", TargetItems:="aOpenRTFDocument_SaveToCRM_Lead", visibility:=Editors.ViewItemVisibility.Hide)> _
Public Class OpenRTFDocument_PopUp
    Inherits BaseObject

    Private _RTFText As String
    Private _BusinessDirectory As BusinessDirectory
    Private _CRM_Opportunities As CRM_Opportunities

    Public Sub New(ByVal session As Session)
        MyBase.New(session)
    End Sub
    Public Overrides Sub AfterConstruction()
        MyBase.AfterConstruction()
    End Sub

    <Size(-1)> _
    Property RTFText As String
        Get
            Return _RTFText
        End Get
        Set(value As String)
            SetPropertyValue("RTFText", _RTFText, value)
        End Set
    End Property
    Property BusinessDirectory As BusinessDirectory
        Get
            Return _BusinessDirectory
        End Get
        Set(value As BusinessDirectory)
            SetPropertyValue("BusinessDirectory", _BusinessDirectory, value)
        End Set
    End Property
    Property CRM_Opportunities As CRM_Opportunities
        Get
            Return _CRM_Opportunities
        End Get
        Set(value As CRM_Opportunities)
            SetPropertyValue("CRM_Opportunities", _CRM_Opportunities, value)
        End Set
    End Property
End Class
